Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit
Class Graphics2DPlotCanvas.Graphics2DPainter

    java.lang.Object
      jcckit.GraphicsPlotCanvas.GraphicsPainter
          jcckit.Graphics2DPlotCanvas.Graphics2DPainter

Enclosing class:
  Graphics2DPlotCanvas

protected class Graphics2DPlotCanvas.Graphics2DPainter
extends GraphicsPlotCanvas.GraphicsPainter

Painter which draw the plot into a `Graphics2D` instance.

Author:
  Franz-Josef Elmer

Constructor Summary
`Graphics2DPlotCanvas.Graphics2DPainter(java.awt.Component component)`

Method Summary
`protected void` | `calculateTransformation(java.awt.Dimension size)` Calculate the transformation form device-independent coordinates into device-dependent coordinates according to the specified canvas size.
`protected Renderer` | `createRenderer(java.awt.Graphics g)` Creates an instance of `Graphics2DRenderer` for the specified `Graphics2D` context.
`protected void` | `prepare(java.awt.Graphics g)` Sets identity transformation for the specified `Graphics2D` context.

Methods inherited from class jcckit.GraphicsPlotCanvas.GraphicsPainter
`paint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Graphics2DPlotCanvas.Graphics2DPainter

    public Graphics2DPlotCanvas.Graphics2DPainter(java.awt.Component component)

Method Detail

### prepare

    protected void prepare(java.awt.Graphics g)

  Sets identity transformation for the specified `Graphics2D` context.

  Overrides:
    `prepare` in class `GraphicsPlotCanvas.GraphicsPainter`

### createRenderer

    protected Renderer createRenderer(java.awt.Graphics g)

  Creates an instance of `Graphics2DRenderer` for the specified `Graphics2D` context.

  Overrides:
    `createRenderer` in class `GraphicsPlotCanvas.GraphicsPainter`

### calculateTransformation

    protected void calculateTransformation(java.awt.Dimension size)

  Description copied from class: `GraphicsPlotCanvas.GraphicsPainter`
  Calculate the transformation form device-independent coordinates into device-dependent coordinates according to the specified canvas size.

  Overrides:
    `calculateTransformation` in class `GraphicsPlotCanvas.GraphicsPainter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD